﻿.spinner-container {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.7);
    z-index: 999;
}

.loader {
    top: 50%;
    left: 50%;
    position: absolute;
    align-items: center;
    justify-content: center;
}

.car__body {
    animation: shake 0.7s ease-in-out infinite alternate;
}

.car__line {
    transform-origin: center right;
    stroke-dasharray: 22;
    animation: line 2s linear infinite;
    animation-fill-mode: both;
}

.car__line--top {
    animation-delay: 0s;
}

.car__line--middle {
    animation-delay: 0.2s;
}

.car__line--bottom {
    animation-delay: 0.4s;
}

@keyframes shake {
    0%, 100% {
        transform: translateY(0);
    }

    25%, 75% {
        transform: translateY(-5%);
    }

    50% {
        transform: translateY(5%);
    }
}

@keyframes line {
    0% {
        stroke-dashoffset: 22;
    }

    25% {
        stroke-dashoffset: 11;
    }

    50% {
        stroke-dashoffset: 0;
    }

    75% {
        stroke-dashoffset: 11;
    }

    100% {
        stroke-dashoffset: 22;
    }
}
